Subject: Re: [PATCH 3/3] [POWERPC] Add docs for Freescale DMA & DMA channel device tree nodes

From: Scott Wood <[email-masked]>
Date: Wed, 21 Nov 2007 11:35:40 -0600

On Wed, Nov 21, 2007 at 09:33:05AM -0600, Kumar Gala wrote:
> On Nov 21, 2007, at 8:59 AM, Timur Tabi wrote:
> >> +  Example:
> >> +	dma@21000 {
> >
> > Shouldn't this be dma@21300?
> 
> its an example that has not basis is reality :)

But it should at least be internally consistent with this:

> >> +		reg = <21300 4>;

[snip]
> > The DMA controller and the DMA channels need a "device-id", so that  
> > they can be identified by number.  Some peripherals, like the SSI,  
> > can only use the controller and channel number.  This is what I have  
> > in my 8610 DTS:
> 
> Why not use reg for this?  I don't see any reason to add another  
> "unique id" when there is already one.

A cell-index property would be useful here for indexing into the summary
status register.

> 
> >                dma@21300 {
> >                        #address-cells = <1>;
> >                        #size-cells = <1>;
> >                        compatible = "fsl,mpc8610-dma", "fsl,mpc8540- 
> > dma";
> >        -->             device-id = <0>;

I don't see any justification for having such a property in the parent node,
though.

-Scott